#if !defined(AFX_DIRECTORYLIST_H__D52BD4EF_DF0C_4ABC_9C1F_4171FDEFA629__INCLUDED_)
#define AFX_DIRECTORYLIST_H__D52BD4EF_DF0C_4ABC_9C1F_4171FDEFA629__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DirectoryList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// DirectoryList dialog


class DirectoryList : public CDialog
{
// Construction
public:

	static void install();
	static void remove();

public:
	DirectoryList(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(DirectoryList)
	enum { IDD = IDD_DIRECTORIES };
	CListBox	m_directoryList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DirectoryList)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

private:

	static void saveToRegistry();
	static void createDirectoryWatchers();
	static void destroyDirectoryWatchers();

// Implementation
protected:

	bool m_changed;

	// Generated message map functions
	//{{AFX_MSG(DirectoryList)
	virtual BOOL OnInitDialog();
	afx_msg void OnAdd();
	afx_msg void OnModify();
	afx_msg void OnDelete();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIRECTORYLIST_H__D52BD4EF_DF0C_4ABC_9C1F_4171FDEFA629__INCLUDED_)
