#ifndef INCLUDED_DirectoryWatcher_H
#define INCLUDED_DirectoryWatcher_H

// ======================================================================

class DirectoryWatcher
{
public:

	DirectoryWatcher(char const * directory);
	~DirectoryWatcher();

private:

	static unsigned int __stdcall beginThread(void *);
	static char * duplicateString(char const * source);
	static void convertToChar(wchar_t const * source, int fileNameLength, char * dest);

	unsigned int threadRoutine();

private:

	DirectoryWatcher();
	DirectoryWatcher(DirectoryWatcher const &);
	DirectoryWatcher & operator =(DirectoryWatcher const &);

private:

	char * m_directory;
	bool m_stopThread;
};
	
// ======================================================================

#endif
