// ======================================================================
// FileSystemEvent.cpp
// ======================================================================

#include "stdafx.h"
#include "FileSystemEvent.h"

#include <assert.h>

// ======================================================================

FileSystemEvent::FileSystemEvent(Type type, char const * path)
:
	m_type(type)
{
	assert(m_type != T_rename);
	strcpy_s(m_path, sizeof(m_path), path);
}

// ----------------------------------------------------------------------

FileSystemEvent::FileSystemEvent(Type type, char const * path, char const * newPath)
:
	m_type(type)
{
	assert(m_type == T_rename);
	strcpy_s(m_path, sizeof(m_path), path);
	strcpy_s(m_newPath, sizeof(m_newPath), newPath);
}

// ======================================================================
