#ifndef INCLUDED_FileSystemEvent_H
#define INCLUDED_FileSystemEvent_H

// ======================================================================

class FileSystemEvent
{
public:

	enum Type
	{
		T_add,
		T_delete,
		T_rename,
		T_modify
	};

public:

	FileSystemEvent(Type type, char const * path);
	FileSystemEvent(Type type, char const * path, char const * newPath);

public:

	Type m_type;
	char m_path[MAX_PATH];
	char m_newPath[MAX_PATH];
};
	
// ======================================================================

#endif
